
module path_sel ( is_r1, is_r2, seff, sign_big, f_far, f_near, s_r, s_n, sl_eq, 
    ea, eb, clk, sa, sb, rinc, fposum_n1, fposumi_n1, lzp, norm_fpsum_n1, 
    f_out, e_out, s_out );
input  [0:52] f_far;
input  [5:0] lzp;
input  [0:52] f_near;
input  [10:0] ea;
input  [10:0] eb;
output [0:52] f_out;
output [10:0] e_out;
input  is_r1, is_r2, seff, sign_big, s_r, s_n, sl_eq, clk, sa, sb, rinc, 
    fposum_n1, fposumi_n1, norm_fpsum_n1;
output s_out;
    wire \lzp_sub_mux[5] , \e_sub_lzp_delta[8] , \e_mux[1] , \e_sub[7] , 
        \e_sub_lzp_delta[1] , \eb_d[7] , \e_mux[8] , \e_mux[5] , \e_sub[3] , 
        \lzp_sub_mux[1] , \eb_d[3] , \e_sub_lzp_delta[5] , \eb_d[1] , 
        \e_sub_lzp_delta[7] , \e_sub[8] , \*Logic1* , \lzp_sub_mux[3] , sa_d, 
        \eb_d[8] , \e_mux[7] , \e_sub[1] , \e_sub_lzp_sum[10] , 
        \e_sub_lzp_delta[3] , \eb_d[5] , \e_sub[5] , \e_mux[3] , 
        \lzp_sub_1[2] , \ea_d[4] , \e_sub_lzp_sum[2] , \ea_d[9] , sign_big_d, 
        \ea_d[0] , \e_sub_lzp_sum[6] , \ea_d[2] , \e_sub_lzp_sum[4] , 
        \lzp_sub_1[4] , \e_mux[10] , \eb_d[10] , \lzp_sub_1[0] , \ea_d[6] , 
        \e_sub_lzp_sum[0] , \e_sub_lzp_sum[9] , \e_sub[10] , \ea_d[7] , 
        \lzp_sub_1[1] , \e_sub_lzp_sum[1] , \e_sub_lzp_sum[8] , \lzp_sub_1[5] , 
        \e_sub_lzp_sum[5] , \e_sub_lzp_delta[10] , \ea_d[3] , \ea_d[8] , 
        \e_sub_lzp_sum[7] , \ea_d[5] , \lzp_sub_1[3] , \e_sub_lzp_sum[3] , 
        \e_sub_lzp_delta[2] , \eb_d[4] , \e_sub[4] , \*Logic0* , \e_mux[2] , 
        \eb_d[0] , \ea_d[10] , \e_sub[9] , \e_sub_lzp_delta[6] , 
        \lzp_sub_mux[2] , \eb_d[9] , \e_mux[6] , \e_sub[0] , \e_mux[4] , 
        \e_sub[2] , \lzp_sub_mux[0] , sb_d, \eb_d[2] , \e_sub_lzp_delta[4] , 
        \lzp_sub_mux[4] , \e_sub[6] , \e_mux[0] , \e_sub_lzp_delta[9] , 
        \e_sub_lzp_delta[0] , \eb_d[6] , \e_mux[9] , n434, n435, n436, n437, 
        n438, n439, n440, n441, n442, n443, n444, n445, n446, n447, n448, n449, 
        n450, n451, n452, n453, n454, n455, n457, n458, n459, n460, n461, n462, 
        n463, n464, n465, n466, n468, n469, n470, n472, n473, n474;
    sub_11bits e_sub_m ( .in_a({\e_mux[10] , \e_mux[9] , \e_mux[8] , 
        \e_mux[7] , \e_mux[6] , \e_mux[5] , \e_mux[4] , \e_mux[3] , \e_mux[2] , 
        \e_mux[1] , \e_mux[0] }), .in_b({\*Logic0* , \*Logic0* , \*Logic0* , 
        \*Logic0* , \*Logic0* , \*Logic0* , \*Logic0* , \*Logic0* , \*Logic0* , 
        \*Logic0* , seff}), .delta({\e_sub[10] , \e_sub[9] , \e_sub[8] , 
        \e_sub[7] , \e_sub[6] , \e_sub[5] , \e_sub[4] , \e_sub[3] , \e_sub[2] , 
        \e_sub[1] , \e_sub[0] }) );
    sub_11bits sub_11bits_m ( .in_a({\e_sub[10] , \e_sub[9] , \e_sub[8] , 
        \e_sub[7] , n441, \e_sub[5] , \e_sub[4] , \e_sub[3] , \e_sub[2] , 
        \e_sub[1] , \e_sub[0] }), .in_b({\*Logic0* , \*Logic0* , \*Logic0* , 
        \*Logic0* , \*Logic0* , \lzp_sub_mux[5] , \lzp_sub_mux[4] , 
        \lzp_sub_mux[3] , \lzp_sub_mux[2] , \lzp_sub_mux[1] , \lzp_sub_mux[0] 
        }), .delta({\e_sub_lzp_delta[10] , \e_sub_lzp_delta[9] , 
        \e_sub_lzp_delta[8] , \e_sub_lzp_delta[7] , \e_sub_lzp_delta[6] , 
        \e_sub_lzp_delta[5] , \e_sub_lzp_delta[4] , \e_sub_lzp_delta[3] , 
        \e_sub_lzp_delta[2] , \e_sub_lzp_delta[1] , \e_sub_lzp_delta[0] }) );
    adder_11bits adder_11bits_m ( .in_a({\e_sub[10] , \e_sub[9] , \e_sub[8] , 
        n442, n441, \e_sub[5] , \e_sub[4] , \e_sub[3] , \e_sub[2] , \e_sub[1] , 
        \e_sub[0] }), .in_b({\*Logic0* , \*Logic0* , \*Logic0* , \*Logic0* , 
        \*Logic0* , \lzp_sub_mux[5] , \lzp_sub_mux[4] , \lzp_sub_mux[3] , 
        \lzp_sub_mux[2] , \lzp_sub_mux[1] , \lzp_sub_mux[0] }), .sum({
        \e_sub_lzp_sum[10] , \e_sub_lzp_sum[9] , \e_sub_lzp_sum[8] , 
        \e_sub_lzp_sum[7] , \e_sub_lzp_sum[6] , \e_sub_lzp_sum[5] , 
        \e_sub_lzp_sum[4] , \e_sub_lzp_sum[3] , \e_sub_lzp_sum[2] , 
        \e_sub_lzp_sum[1] , \e_sub_lzp_sum[0] }) );
    sub_6bits lzp_sub_m ( .in_a(lzp), .in_b({\*Logic0* , \*Logic0* , 
        \*Logic0* , \*Logic0* , \*Logic0* , \*Logic1* }), .delta({
        \lzp_sub_1[5] , \lzp_sub_1[4] , \lzp_sub_1[3] , \lzp_sub_1[2] , 
        \lzp_sub_1[1] , \lzp_sub_1[0] }) );
    MUX2DL X78X ( .Z(\e_mux[10] ), .A0(\eb_d[10] ), .A1(\ea_d[10] ), .SL(n434)
         );
    MUX2D1 X79X ( .Z(\e_mux[8] ), .A0(\ea_d[8] ), .A1(\eb_d[8] ), .SL(n438) );
    MUX2D1 X80X ( .Z(\e_mux[9] ), .A0(\ea_d[9] ), .A1(\eb_d[9] ), .SL(n438) );
    MUX2DL X81X ( .Z(e_out[6]), .A0(\e_sub_lzp_sum[6] ), .A1(
        \e_sub_lzp_delta[6] ), .SL(n455) );
    INVBD2 X82X ( .Z(n454), .A(is_r2) );
    INVD2 X83X ( .Z(n434), .A(n438) );
    INVD2 X84X ( .Z(n436), .A(sign_big_d) );
    MUX2D1 X85X ( .Z(\e_mux[2] ), .A0(\eb_d[2] ), .A1(\ea_d[2] ), .SL(n436) );
    MUX2D1 X86X ( .Z(\e_mux[3] ), .A0(\eb_d[3] ), .A1(\ea_d[3] ), .SL(n437) );
    MUX2D1 X87X ( .Z(\e_mux[4] ), .A0(\eb_d[4] ), .A1(\ea_d[4] ), .SL(n434) );
    MUX2D1 X88X ( .Z(\e_mux[5] ), .A0(\eb_d[5] ), .A1(\ea_d[5] ), .SL(n434) );
    MUX2D1 X89X ( .Z(n463), .A0(fposum_n1), .A1(fposumi_n1), .SL(rinc) );
    OAI22M10D1 X90X ( .Z(\lzp_sub_mux[5] ), .A1(lzp[5]), .A2(n447), .B1(n443), 
        .B2(n448) );
    MUX2D1 X91X ( .Z(\e_mux[6] ), .A0(\ea_d[6] ), .A1(\eb_d[6] ), .SL(n438) );
    MUX2D1 X92X ( .Z(\e_mux[7] ), .A0(\eb_d[7] ), .A1(\ea_d[7] ), .SL(n434) );
    MUX2D1 X93X ( .Z(n457), .A0(sb_d), .A1(sa_d), .SL(sl_eq) );
    NAN2D1 X94X ( .Z(n443), .A1(norm_fpsum_n1), .A2(n455) );
    NAN2D1 X95X ( .Z(n446), .A1(lzp[0]), .A2(n462) );
    MUX2D1 X96X ( .Z(e_out[1]), .A0(\e_sub_lzp_sum[1] ), .A1(
        \e_sub_lzp_delta[1] ), .SL(n455) );
    MUX2D1 X97X ( .Z(e_out[2]), .A0(\e_sub_lzp_sum[2] ), .A1(
        \e_sub_lzp_delta[2] ), .SL(n455) );
    MUX2D1 X98X ( .Z(e_out[3]), .A0(\e_sub_lzp_sum[3] ), .A1(
        \e_sub_lzp_delta[3] ), .SL(n455) );
    MUX2D1 X99X ( .Z(e_out[4]), .A0(\e_sub_lzp_sum[4] ), .A1(
        \e_sub_lzp_delta[4] ), .SL(n455) );
    MUX2D1 X100X ( .Z(e_out[5]), .A0(\e_sub_lzp_sum[5] ), .A1(
        \e_sub_lzp_delta[5] ), .SL(n455) );
    MUX2DL X101X ( .Z(f_out[52]), .A0(f_far[52]), .A1(f_near[52]), .SL(n455)
         );
    MUX2DL X102X ( .Z(f_out[51]), .A0(f_far[51]), .A1(f_near[51]), .SL(n455)
         );
    MUX2DL X103X ( .Z(f_out[50]), .A0(f_far[50]), .A1(f_near[50]), .SL(n455)
         );
    MUX2DL X104X ( .Z(f_out[49]), .A0(f_far[49]), .A1(f_near[49]), .SL(n455)
         );
    MUX2DL X105X ( .Z(f_out[48]), .A0(f_far[48]), .A1(f_near[48]), .SL(n455)
         );
    MUX2DL X106X ( .Z(f_out[47]), .A0(f_far[47]), .A1(f_near[47]), .SL(n455)
         );
    MUX2DL X107X ( .Z(f_out[46]), .A0(f_far[46]), .A1(f_near[46]), .SL(n455)
         );
    MUX2DL X108X ( .Z(f_out[45]), .A0(f_far[45]), .A1(f_near[45]), .SL(n455)
         );
    MUX2DL X109X ( .Z(f_out[44]), .A0(f_far[44]), .A1(f_near[44]), .SL(n455)
         );
    MUX2DL X110X ( .Z(f_out[43]), .A0(f_far[43]), .A1(f_near[43]), .SL(n455)
         );
    MUX2DL X111X ( .Z(f_out[42]), .A0(f_far[42]), .A1(f_near[42]), .SL(n455)
         );
    MUX2DL X112X ( .Z(f_out[41]), .A0(f_far[41]), .A1(f_near[41]), .SL(n455)
         );
    MUX2DL X113X ( .Z(f_out[40]), .A0(f_far[40]), .A1(f_near[40]), .SL(n455)
         );
    MUX2DL X114X ( .Z(f_out[39]), .A0(f_far[39]), .A1(f_near[39]), .SL(n455)
         );
    MUX2DL X115X ( .Z(f_out[38]), .A0(f_far[38]), .A1(f_near[38]), .SL(n455)
         );
    MUX2DL X116X ( .Z(f_out[37]), .A0(f_far[37]), .A1(f_near[37]), .SL(n455)
         );
    MUX2DL X117X ( .Z(f_out[36]), .A0(f_far[36]), .A1(f_near[36]), .SL(n455)
         );
    MUX2DL X118X ( .Z(f_out[35]), .A0(f_far[35]), .A1(f_near[35]), .SL(n455)
         );
    MUX2DL X119X ( .Z(f_out[34]), .A0(f_far[34]), .A1(f_near[34]), .SL(n455)
         );
    MUX2DL X120X ( .Z(f_out[33]), .A0(f_far[33]), .A1(f_near[33]), .SL(n455)
         );
    MUX2DL X121X ( .Z(f_out[32]), .A0(f_far[32]), .A1(f_near[32]), .SL(n455)
         );
    MUX2DL X122X ( .Z(f_out[31]), .A0(f_far[31]), .A1(f_near[31]), .SL(n455)
         );
    MUX2DL X123X ( .Z(f_out[30]), .A0(f_far[30]), .A1(f_near[30]), .SL(n455)
         );
    MUX2DL X124X ( .Z(f_out[29]), .A0(f_far[29]), .A1(f_near[29]), .SL(n455)
         );
    MUX2DL X125X ( .Z(f_out[28]), .A0(f_far[28]), .A1(f_near[28]), .SL(n455)
         );
    MUX2DL X126X ( .Z(f_out[27]), .A0(f_far[27]), .A1(f_near[27]), .SL(n455)
         );
    MUX2DL X127X ( .Z(f_out[26]), .A0(f_far[26]), .A1(f_near[26]), .SL(n455)
         );
    MUX2DL X128X ( .Z(f_out[25]), .A0(f_far[25]), .A1(f_near[25]), .SL(n455)
         );
    MUX2DL X129X ( .Z(f_out[24]), .A0(f_far[24]), .A1(f_near[24]), .SL(n455)
         );
    MUX2DL X130X ( .Z(f_out[23]), .A0(f_far[23]), .A1(f_near[23]), .SL(n455)
         );
    MUX2DL X131X ( .Z(f_out[22]), .A0(f_far[22]), .A1(f_near[22]), .SL(n455)
         );
    MUX2DL X132X ( .Z(f_out[21]), .A0(f_far[21]), .A1(f_near[21]), .SL(n455)
         );
    MUX2DL X133X ( .Z(f_out[20]), .A0(f_far[20]), .A1(f_near[20]), .SL(n455)
         );
    MUX2DL X134X ( .Z(f_out[19]), .A0(f_far[19]), .A1(f_near[19]), .SL(n455)
         );
    MUX2DL X135X ( .Z(f_out[18]), .A0(f_far[18]), .A1(f_near[18]), .SL(n455)
         );
    MUX2DL X136X ( .Z(f_out[17]), .A0(f_far[17]), .A1(f_near[17]), .SL(n455)
         );
    MUX2DL X137X ( .Z(f_out[16]), .A0(f_far[16]), .A1(f_near[16]), .SL(n455)
         );
    MUX2DL X138X ( .Z(f_out[15]), .A0(f_far[15]), .A1(f_near[15]), .SL(n455)
         );
    MUX2DL X139X ( .Z(f_out[14]), .A0(f_far[14]), .A1(f_near[14]), .SL(n455)
         );
    MUX2DL X140X ( .Z(f_out[13]), .A0(f_far[13]), .A1(f_near[13]), .SL(n455)
         );
    MUX2DL X141X ( .Z(f_out[12]), .A0(f_far[12]), .A1(f_near[12]), .SL(n455)
         );
    MUX2DL X142X ( .Z(f_out[11]), .A0(f_far[11]), .A1(f_near[11]), .SL(n455)
         );
    MUX2DL X143X ( .Z(f_out[10]), .A0(f_far[10]), .A1(f_near[10]), .SL(n455)
         );
    MUX2DL X144X ( .Z(f_out[9]), .A0(f_far[9]), .A1(f_near[9]), .SL(n455) );
    MUX2DL X145X ( .Z(f_out[8]), .A0(f_far[8]), .A1(f_near[8]), .SL(n455) );
    MUX2DL X146X ( .Z(f_out[7]), .A0(f_far[7]), .A1(f_near[7]), .SL(n455) );
    MUX2DL X147X ( .Z(f_out[6]), .A0(f_far[6]), .A1(f_near[6]), .SL(n455) );
    MUX2DL X148X ( .Z(f_out[5]), .A0(f_far[5]), .A1(f_near[5]), .SL(n455) );
    MUX2DL X149X ( .Z(f_out[4]), .A0(f_far[4]), .A1(f_near[4]), .SL(n455) );
    MUX2DL X150X ( .Z(f_out[3]), .A0(f_far[3]), .A1(f_near[3]), .SL(n455) );
    MUX2DL X151X ( .Z(f_out[2]), .A0(f_far[2]), .A1(f_near[2]), .SL(n455) );
    MUX2DL X152X ( .Z(f_out[1]), .A0(f_far[1]), .A1(f_near[1]), .SL(n455) );
    MUX2DL X153X ( .Z(f_out[0]), .A0(f_far[0]), .A1(f_near[0]), .SL(n455) );
    DFFPQ1 \ea_d_reg[1]  ( .Q(n439), .CK(clk), .D(ea[1]) );
    DFFPQ1 \ea_d_reg[4]  ( .Q(\ea_d[4] ), .CK(clk), .D(ea[4]) );
    DFFPQ1 \eb_d_reg[4]  ( .Q(\eb_d[4] ), .CK(clk), .D(eb[4]) );
    INVD1 X154X ( .Z(n448), .A(\lzp_sub_1[5] ) );
    INVD1 X156X ( .Z(n462), .A(n447) );
    DFFPQ1 \ea_d_reg[6]  ( .Q(\ea_d[6] ), .CK(clk), .D(ea[6]) );
    DFFPQ1 \eb_d_reg[6]  ( .Q(\eb_d[6] ), .CK(clk), .D(eb[6]) );
    DFFPQ1 \ea_d_reg[7]  ( .Q(\ea_d[7] ), .CK(clk), .D(ea[7]) );
    DFFPQ1 \eb_d_reg[7]  ( .Q(\eb_d[7] ), .CK(clk), .D(eb[7]) );
    DFFPQ1 \ea_d_reg[8]  ( .Q(\ea_d[8] ), .CK(clk), .D(ea[8]) );
    DFFPQ1 \eb_d_reg[8]  ( .Q(\eb_d[8] ), .CK(clk), .D(eb[8]) );
    DFFPQ1 \ea_d_reg[9]  ( .Q(\ea_d[9] ), .CK(clk), .D(ea[9]) );
    DFFPQ1 \eb_d_reg[9]  ( .Q(\eb_d[9] ), .CK(clk), .D(eb[9]) );
    DFFPQ1 \ea_d_reg[10]  ( .Q(\ea_d[10] ), .CK(clk), .D(ea[10]) );
    DFFPQ1 \eb_d_reg[10]  ( .Q(\eb_d[10] ), .CK(clk), .D(eb[10]) );
    AND2D1 X157X ( .Z(n449), .A1(n450), .A2(n451) );
    EXNOR2DL X158X ( .Z(n450), .A1(\eb_d[0] ), .A2(\ea_d[0] ) );
    DFFPQ1 sb_d_reg ( .Q(sb_d), .CK(clk), .D(sb) );
    DFFPQ1 sa_d_reg ( .Q(sa_d), .CK(clk), .D(sa) );
    OAI211D1 X159X ( .Z(\lzp_sub_mux[0] ), .A1(n443), .A2(n444), .B(n445), .C(
        n446) );
    INVD1 X160X ( .Z(n444), .A(\lzp_sub_1[0] ) );
    NAN2DL X161X ( .Z(n445), .A1(n463), .A2(n452) );
    MUXB2DL X162X ( .Z(s_out), .A0(n458), .A1(n459), .SL(n455) );
    INVD1 X163X ( .Z(n458), .A(s_r) );
    MUXB2DL X164X ( .Z(n459), .A0(s_n), .A1(n457), .SL(n449) );
    MUXB2DL X165X ( .Z(e_out[0]), .A0(n460), .A1(n461), .SL(n455) );
    INVDL X166X ( .Z(n460), .A(\e_sub_lzp_sum[0] ) );
    INVD1 X167X ( .Z(n461), .A(\e_sub_lzp_delta[0] ) );
    MUX2DL X168X ( .Z(e_out[7]), .A0(\e_sub_lzp_sum[7] ), .A1(
        \e_sub_lzp_delta[7] ), .SL(n455) );
    INVBD2 X169X ( .Z(n453), .A(is_r1) );
    DFFPB1 sign_big_d_reg ( .Q(sign_big_d), .QB(n437), .CK(clk), .D(sign_big)
         );
    DFFPQ1 \eb_d_reg[1]  ( .Q(\eb_d[1] ), .CK(clk), .D(eb[1]) );
    MUX2D1 X171X ( .Z(e_out[8]), .A0(\e_sub_lzp_sum[8] ), .A1(
        \e_sub_lzp_delta[8] ), .SL(n455) );
    INVD1 X172X ( .Z(n438), .A(n436) );
    MUX2D1 X173X ( .Z(\e_mux[0] ), .A0(\eb_d[0] ), .A1(\ea_d[0] ), .SL(n436)
         );
    DFFPQ1 \eb_d_reg[0]  ( .Q(\eb_d[0] ), .CK(clk), .D(eb[0]) );
    DFFPQ1 \eb_d_reg[2]  ( .Q(\eb_d[2] ), .CK(clk), .D(eb[2]) );
    DFFPQ1 \ea_d_reg[2]  ( .Q(\ea_d[2] ), .CK(clk), .D(ea[2]) );
    DFFPQ1 \eb_d_reg[3]  ( .Q(\eb_d[3] ), .CK(clk), .D(eb[3]) );
    DFFPQ1 \ea_d_reg[3]  ( .Q(\ea_d[3] ), .CK(clk), .D(ea[3]) );
    EXNOR2DL X174X ( .Z(n451), .A1(\eb_d[1] ), .A2(n439) );
    INVD1 X175X ( .Z(n440), .A(\e_sub[6] ) );
    INVBD2 X176X ( .Z(n441), .A(n440) );
    BUFD1 X177X ( .Z(n442), .A(\e_sub[7] ) );
    TIELO X180X ( .Z(\*Logic0* ) );
    TIEHI X181X ( .Z(\*Logic1* ) );
    NAN3D4 X182X ( .Z(n452), .A1(n453), .A2(n454), .A3(seff) );
    INVD20 X183X ( .Z(n455), .A(n452) );
    DFFPQ1 \eb_d_reg[5]  ( .Q(\eb_d[5] ), .CK(clk), .D(eb[5]) );
    DFFPQ1 \ea_d_reg[5]  ( .Q(\ea_d[5] ), .CK(clk), .D(ea[5]) );
    DFFPQ1 \ea_d_reg[0]  ( .Q(\ea_d[0] ), .CK(clk), .D(ea[0]) );
    OR2D1 X184X ( .Z(n447), .A1(n452), .A2(norm_fpsum_n1) );
    INVDL X185X ( .Z(n435), .A(n443) );
    AO22DL X186X ( .Z(\lzp_sub_mux[1] ), .A1(n462), .A2(lzp[1]), .B1(n435), 
        .B2(\lzp_sub_1[1] ) );
    AO22DL X187X ( .Z(\lzp_sub_mux[2] ), .A1(n462), .A2(lzp[2]), .B1(n435), 
        .B2(\lzp_sub_1[2] ) );
    AO22DL X188X ( .Z(\lzp_sub_mux[3] ), .A1(n435), .A2(\lzp_sub_1[3] ), .B1(
        n462), .B2(lzp[3]) );
    AO22DL X189X ( .Z(\lzp_sub_mux[4] ), .A1(n462), .A2(lzp[4]), .B1(n435), 
        .B2(\lzp_sub_1[4] ) );
    NAN2D1 X190X ( .Z(n473), .A1(n470), .A2(\e_sub_lzp_sum[9] ) );
    NAN2D1 X191X ( .Z(n468), .A1(n470), .A2(\e_sub_lzp_sum[10] ) );
    NAN2D1 X192X ( .Z(\e_mux[1] ), .A1(n464), .A2(n465) );
    INVD1 X193X ( .Z(n466), .A(n437) );
    NAN2D1 X194X ( .Z(n464), .A1(n436), .A2(n439) );
    NAN2D1 X195X ( .Z(n465), .A1(\eb_d[1] ), .A2(n466) );
    NAN2D1 X196X ( .Z(e_out[10]), .A1(n469), .A2(n468) );
    NAN2D1 X197X ( .Z(e_out[9]), .A1(n474), .A2(n473) );
    NAN2D1 X198X ( .Z(n469), .A1(n472), .A2(\e_sub_lzp_delta[10] ) );
    NAN2D1 X199X ( .Z(n474), .A1(n472), .A2(\e_sub_lzp_delta[9] ) );
    INVDL X200X ( .Z(n470), .A(n455) );
    INVD1 X201X ( .Z(n472), .A(n470) );
endmodule


module adder_11bits ( in_a, in_b, sum );
input  [10:0] in_a;
input  [10:0] in_b;
output [10:0] sum;
    wire propogate_1, propogate_1_0, generate_9_0, generate_8_0, generate_1, 
        propogate_9_8, propogate_3_2, generate_5_0, propogate_7_4, 
        generate_4_0, generate_3_2, propogate_5_0, generate_7_4, propogate_2, 
        generate_9_8, generate_0, generate_0_0, generate_1_0, propogate_7_0, 
        generate_2, generate_5_4, generate_5, propogate_5, generate_7_6, 
        generate_2_0, generate_3_0, propogate_10_8, propogate_7_6, generate_4, 
        propogate_3_0, propogate_3, propogate_4, generate_7_0, propogate_5_4, 
        generate_6_0, generate_3, generate_10_8, n19;
    gen_prop_lr_33 G_5_4 ( .g_left(generate_5), .g_right(generate_4), .p_left(
        propogate_5), .p_right(propogate_4), .g_lr(generate_5_4), .p_lr(
        propogate_5_4) );
    gen_prop_lr_32 G_7_6 ( .g_left(n19), .g_right(n19), .p_left(in_a[7]), 
        .p_right(in_a[6]), .g_lr(generate_7_6), .p_lr(propogate_7_6) );
    gen_prop_lr_31 G_3_0 ( .g_left(generate_3_2), .g_right(generate_1_0), 
        .p_left(propogate_3_2), .p_right(propogate_1_0), .g_lr(generate_3_0), 
        .p_lr(propogate_3_0) );
    gen_prop_lr_30 G_2_0 ( .g_left(generate_2), .g_right(generate_1_0), 
        .p_left(propogate_2), .p_right(propogate_1_0), .g_lr(generate_2_0), 
        .p_lr() );
    gen_prop_lr_29 G_7_0 ( .g_left(generate_7_4), .g_right(generate_3_0), 
        .p_left(propogate_7_4), .p_right(propogate_3_0), .g_lr(generate_7_0), 
        .p_lr(propogate_7_0) );
    gen_prop_lr_28 G_6_0 ( .g_left(n19), .g_right(generate_5_0), .p_left(in_a
        [6]), .p_right(propogate_5_0), .g_lr(generate_6_0), .p_lr() );
    gen_prop_lr_27 G_9_0 ( .g_left(generate_9_8), .g_right(generate_7_0), 
        .p_left(propogate_9_8), .p_right(propogate_7_0), .g_lr(generate_9_0), 
        .p_lr() );
    gen_prop_lr_26 G_8_0 ( .g_left(n19), .g_right(generate_7_0), .p_left(in_a
        [8]), .p_right(propogate_7_0), .g_lr(generate_8_0), .p_lr() );
    gen_prop_lr_25 G_10_0 ( .g_left(generate_10_8), .g_right(generate_7_0), 
        .p_left(propogate_10_8), .p_right(propogate_7_0), .g_lr(), .p_lr() );
    gen_prop_lr_24 G_4_0 ( .g_left(generate_4), .g_right(generate_3_0), 
        .p_left(propogate_4), .p_right(propogate_3_0), .g_lr(generate_4_0), 
        .p_lr() );
    gen_prop_lr_23 G_5_0 ( .g_left(generate_5_4), .g_right(generate_3_0), 
        .p_left(propogate_5_4), .p_right(propogate_3_0), .g_lr(generate_5_0), 
        .p_lr(propogate_5_0) );
    gen_prop_lr_22 G_3_2 ( .g_left(generate_3), .g_right(generate_2), .p_left(
        propogate_3), .p_right(propogate_2), .g_lr(generate_3_2), .p_lr(
        propogate_3_2) );
    gen_prop_lr_21 G_7_4 ( .g_left(generate_7_6), .g_right(generate_5_4), 
        .p_left(propogate_7_6), .p_right(propogate_5_4), .g_lr(generate_7_4), 
        .p_lr(propogate_7_4) );
    gen_prop_lr_20 G_10_8 ( .g_left(n19), .g_right(generate_9_8), .p_left(in_a
        [10]), .p_right(propogate_9_8), .g_lr(generate_10_8), .p_lr(
        propogate_10_8) );
    gen_prop_lr_19 G_1_0 ( .g_left(generate_1), .g_right(generate_0), .p_left(
        propogate_1), .p_right(sum[0]), .g_lr(generate_1_0), .p_lr(
        propogate_1_0) );
    gen_prop_lr_18 G_0_0 ( .g_left(generate_0), .g_right(n19), .p_left(sum[0]), 
        .p_right(n19), .g_lr(generate_0_0), .p_lr() );
    gen_prop_lr_17 G_9_8 ( .g_left(n19), .g_right(n19), .p_left(in_a[9]), 
        .p_right(in_a[8]), .g_lr(generate_9_8), .p_lr(propogate_9_8) );
    TIELO X29X ( .Z(n19) );
    AND2D1 X30X ( .Z(generate_5), .A1(in_a[5]), .A2(in_b[5]) );
    AND2D1 X31X ( .Z(generate_0), .A1(in_a[0]), .A2(in_b[0]) );
    AND2D1 X32X ( .Z(generate_2), .A1(in_a[2]), .A2(in_b[2]) );
    AND2D1 X33X ( .Z(generate_3), .A1(in_a[3]), .A2(in_b[3]) );
    AND2D1 X34X ( .Z(generate_4), .A1(in_b[4]), .A2(in_a[4]) );
    AND2D1 X35X ( .Z(generate_1), .A1(in_b[1]), .A2(in_a[1]) );
    EXOR2D1 X36X ( .Z(sum[9]), .A1(in_a[9]), .A2(generate_8_0) );
    EXOR2D1 X37X ( .Z(sum[8]), .A1(in_a[8]), .A2(generate_7_0) );
    EXOR2D1 X38X ( .Z(sum[7]), .A1(in_a[7]), .A2(generate_6_0) );
    EXOR2D1 X39X ( .Z(sum[6]), .A1(in_a[6]), .A2(generate_5_0) );
    EXOR2D1 X40X ( .Z(sum[5]), .A1(generate_4_0), .A2(propogate_5) );
    EXOR2D1 X41X ( .Z(sum[4]), .A1(generate_3_0), .A2(propogate_4) );
    EXOR2D1 X42X ( .Z(sum[3]), .A1(generate_2_0), .A2(propogate_3) );
    EXOR2D1 X43X ( .Z(sum[2]), .A1(generate_1_0), .A2(propogate_2) );
    EXOR2D1 X44X ( .Z(sum[1]), .A1(generate_0_0), .A2(propogate_1) );
    EXOR2D1 X45X ( .Z(sum[10]), .A1(in_a[10]), .A2(generate_9_0) );
    EXOR2D1 X46X ( .Z(sum[0]), .A1(in_a[0]), .A2(in_b[0]) );
    EXOR2D1 X47X ( .Z(propogate_5), .A1(in_b[5]), .A2(in_a[5]) );
    EXOR2D1 X48X ( .Z(propogate_4), .A1(in_a[4]), .A2(in_b[4]) );
    EXOR2D1 X49X ( .Z(propogate_3), .A1(in_b[3]), .A2(in_a[3]) );
    EXOR2D1 X50X ( .Z(propogate_2), .A1(in_b[2]), .A2(in_a[2]) );
    EXOR2D1 X51X ( .Z(propogate_1), .A1(in_a[1]), .A2(in_b[1]) );
endmodule


module gen_prop_lr_33 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_32 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_31 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_30 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_29 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_28 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_27 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_26 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_25 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_24 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_23 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_22 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_21 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_20 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_19 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_18 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_17 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module sub_6bits ( in_a, in_b, delta );
input  [5:0] in_a;
input  [5:0] in_b;
output [5:0] delta;
    wire propogate_0_0, propogate_1, propogate_1_0, generate_1, propogate_3_2, 
        \*Logic1* , generate_4_0, generate_3_2, propogate_4_0, generate_0, 
        generate_0_0, propogate_2, generate_1_0, generate_2, generate_5_4, 
        generate_5, propogate_2_0, propogate_5, generate_2_0, generate_3_0, 
        generate_4, \*Logic0* , propogate_3_0, propogate_3, propogate_4, 
        propogate_5_4, generate_3, n19, n21, n22, n23, n24, n25, n26, n27, n28, 
        n29, n30, n31, n38, n39, n40, n41;
    gen_prop_lr_41 G_5_4 ( .g_left(generate_5), .g_right(generate_4), .p_left(
        propogate_5), .p_right(propogate_4), .g_lr(generate_5_4), .p_lr(
        propogate_5_4) );
    gen_prop_lr_40 G_3_0 ( .g_left(generate_3_2), .g_right(generate_1_0), 
        .p_left(propogate_3_2), .p_right(propogate_1_0), .g_lr(generate_3_0), 
        .p_lr(propogate_3_0) );
    gen_prop_lr_39 G_2_0 ( .g_left(generate_2), .g_right(generate_1_0), 
        .p_left(propogate_2), .p_right(propogate_1_0), .g_lr(generate_2_0), 
        .p_lr(propogate_2_0) );
    gen_prop_lr_38 G_4_0 ( .g_left(generate_4), .g_right(generate_3_0), 
        .p_left(propogate_4), .p_right(propogate_3_0), .g_lr(generate_4_0), 
        .p_lr(propogate_4_0) );
    gen_prop_lr_37 G_5_0 ( .g_left(generate_5_4), .g_right(n23), .p_left(
        propogate_5_4), .p_right(propogate_3_0), .g_lr(), .p_lr() );
    gen_prop_lr_36 G_3_2 ( .g_left(generate_3), .g_right(generate_2), .p_left(
        propogate_3), .p_right(propogate_2), .g_lr(generate_3_2), .p_lr(
        propogate_3_2) );
    gen_prop_lr_35 G_1_0 ( .g_left(generate_1), .g_right(generate_0), .p_left(
        propogate_1), .p_right(n21), .g_lr(generate_1_0), .p_lr(propogate_1_0)
         );
    gen_prop_lr_34 G_0_0 ( .g_left(generate_0), .g_right(\*Logic1* ), .p_left(
        n22), .p_right(\*Logic0* ), .g_lr(generate_0_0), .p_lr(propogate_0_0)
         );
    AND2D1 X5X ( .Z(generate_4), .A1(in_a[4]), .A2(n24) );
    AND2D2 X6X ( .Z(generate_0), .A1(in_a[0]), .A2(n26) );
    NOR2M1D1 X7X ( .Z(generate_5), .A1(in_a[5]), .A2(in_b[5]) );
    NOR2D1 X8X ( .Z(generate_2), .A1(n19), .A2(in_b[2]) );
    INVD1 X9X ( .Z(n19), .A(in_a[2]) );
    NOR2M1D1 X10X ( .Z(generate_3), .A1(in_a[3]), .A2(in_b[3]) );
    OR2D1 X11X ( .Z(n31), .A1(generate_0_0), .A2(propogate_0_0) );
    OR2D1 X12X ( .Z(n29), .A1(generate_2_0), .A2(propogate_2_0) );
    EXOR2D1 X13X ( .Z(delta[3]), .A1(n29), .A2(propogate_3) );
    EXOR2D1 X14X ( .Z(delta[4]), .A1(n28), .A2(propogate_4) );
    EXNOR2D1 X15X ( .Z(n22), .A1(in_b[0]), .A2(in_a[0]) );
    AND2D1 X16X ( .Z(generate_1), .A1(in_a[1]), .A2(n25) );
    EXNOR2D1 X17X ( .Z(propogate_2), .A1(in_a[2]), .A2(in_b[2]) );
    EXNOR2D1 X20X ( .Z(propogate_3), .A1(in_b[3]), .A2(in_a[3]) );
    EXNOR2D1 X21X ( .Z(propogate_4), .A1(in_a[4]), .A2(in_b[4]) );
    INVDL X22X ( .Z(n39), .A(propogate_3_0) );
    EXNOR2D1 X23X ( .Z(propogate_5), .A1(in_a[5]), .A2(in_b[5]) );
    INVD1 X24X ( .Z(n25), .A(in_b[1]) );
    INVD1 X25X ( .Z(n24), .A(in_b[4]) );
    NAN2D1 X26X ( .Z(n27), .A1(n40), .A2(n41) );
    INVD1 X27X ( .Z(n40), .A(generate_4_0) );
    INVD1 X28X ( .Z(n41), .A(propogate_4_0) );
    INVD1 X29X ( .Z(n26), .A(in_b[0]) );
    EXOR2D1 X30X ( .Z(delta[1]), .A1(n31), .A2(propogate_1) );
    EXOR2DL X31X ( .Z(delta[2]), .A1(n30), .A2(propogate_2) );
    EXOR2D1 X32X ( .Z(delta[5]), .A1(n27), .A2(propogate_5) );
    EXOR2D1 X33X ( .Z(delta[0]), .A1(in_b[0]), .A2(in_a[0]) );
    EXNOR2D2 X34X ( .Z(propogate_1), .A1(in_a[1]), .A2(in_b[1]) );
    EXNOR2D1 X35X ( .Z(n21), .A1(in_b[0]), .A2(in_a[0]) );
    NAN2D1 X36X ( .Z(n28), .A1(n38), .A2(n39) );
    INVDL X37X ( .Z(n23), .A(n38) );
    INVDL X38X ( .Z(n38), .A(generate_3_0) );
    TIELO X40X ( .Z(\*Logic0* ) );
    TIEHI X41X ( .Z(\*Logic1* ) );
    OR2DL X42X ( .Z(n30), .A1(generate_1_0), .A2(propogate_1_0) );
endmodule


module gen_prop_lr_41 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2DL X7X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X8X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_40 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X8X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X9X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_39 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AO21D1 X7X ( .Z(g_lr), .A1(p_left), .A2(g_right), .B(g_left) );
    AND2DL X8X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
endmodule


module gen_prop_lr_38 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    wire n36, n37;
    AND2DL X7X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AOI22M20D1 X8X ( .Z(g_lr), .A1(g_left), .A2(p_left), .B1(n36), .B2(n37) );
    INVD1 X9X ( .Z(n37), .A(g_left) );
    INVD1 X10X ( .Z(n36), .A(g_right) );
endmodule


module gen_prop_lr_37 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AO21D1 X7X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
    AND2DL X8X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
endmodule


module gen_prop_lr_36 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2DL X7X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    OA22D1 X8X ( .Z(g_lr), .A1(g_right), .A2(g_left), .B1(g_left), .B2(p_left)
         );
endmodule


module gen_prop_lr_35 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    wire n34, n35;
    AO21M20D1 X8X ( .Z(g_lr), .A1(n34), .A2(n35), .B(g_left) );
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    INVD1 X10X ( .Z(n34), .A(p_left) );
    INVDL X11X ( .Z(n35), .A(g_right) );
endmodule


module gen_prop_lr_34 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2DL X8X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X9X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module sub_11bits ( in_a, in_b, delta );
input  [10:0] in_a;
input  [10:0] in_b;
output [10:0] delta;
    wire propogate_0_0, propogate_1, propogate_1_0, generate_9_0, generate_1, 
        propogate_9_8, generate_8_0, propogate_8, propogate_3_2, generate_5_0, 
        propogate_6, propogate_7_4, generate_4_0, propogate_0, propogate_5_0, 
        generate_3_2, propogate_7, generate_7_4, propogate_4_0, propogate_9, 
        propogate_9_0, generate_9_8, propogate_8_0, generate_0, generate_0_0, 
        propogate_2, generate_1_0, propogate_7_0, generate_2, generate_5_4, 
        propogate_6_0, propogate_10, generate_5, propogate_5, generate_7_6, 
        generate_2_0, propogate_10_8, generate_3_0, propogate_2_0, 
        propogate_7_6, generate_4, propogate_3_0, propogate_3, propogate_4, 
        generate_7_0, propogate_5_4, generate_6_0, generate_3, generate_10_8, 
        n30, n31, n32, n33, n34, n35, n36, n37, n38, n39, n40, n41, n42;
    gen_prop_lr_16 G_5_4 ( .g_left(generate_5), .g_right(generate_4), .p_left(
        propogate_5), .p_right(propogate_4), .g_lr(generate_5_4), .p_lr(
        propogate_5_4) );
    gen_prop_lr_15 G_7_6 ( .g_left(in_a[7]), .g_right(in_a[6]), .p_left(
        propogate_7), .p_right(propogate_6), .g_lr(generate_7_6), .p_lr(
        propogate_7_6) );
    gen_prop_lr_14 G_3_0 ( .g_left(generate_3_2), .g_right(generate_1_0), 
        .p_left(propogate_3_2), .p_right(propogate_1_0), .g_lr(generate_3_0), 
        .p_lr(propogate_3_0) );
    gen_prop_lr_13 G_2_0 ( .g_left(generate_2), .g_right(generate_1_0), 
        .p_left(propogate_2), .p_right(propogate_1_0), .g_lr(generate_2_0), 
        .p_lr(propogate_2_0) );
    gen_prop_lr_12 G_7_0 ( .g_left(generate_7_4), .g_right(generate_3_0), 
        .p_left(propogate_7_4), .p_right(propogate_3_0), .g_lr(generate_7_0), 
        .p_lr(propogate_7_0) );
    gen_prop_lr_11 G_6_0 ( .g_left(in_a[6]), .g_right(generate_5_0), .p_left(
        propogate_6), .p_right(propogate_5_0), .g_lr(generate_6_0), .p_lr(
        propogate_6_0) );
    gen_prop_lr_10 G_9_0 ( .g_left(generate_9_8), .g_right(generate_7_0), 
        .p_left(propogate_9_8), .p_right(propogate_7_0), .g_lr(generate_9_0), 
        .p_lr(propogate_9_0) );
    gen_prop_lr_9 G_8_0 ( .g_left(in_a[8]), .g_right(generate_7_0), .p_left(
        propogate_8), .p_right(propogate_7_0), .g_lr(generate_8_0), .p_lr(
        propogate_8_0) );
    gen_prop_lr_8 G_10_0 ( .g_left(generate_10_8), .g_right(generate_7_0), 
        .p_left(propogate_10_8), .p_right(propogate_7_0), .g_lr(), .p_lr() );
    gen_prop_lr_7 G_4_0 ( .g_left(generate_4), .g_right(generate_3_0), 
        .p_left(propogate_4), .p_right(propogate_3_0), .g_lr(generate_4_0), 
        .p_lr(propogate_4_0) );
    gen_prop_lr_6 G_5_0 ( .g_left(generate_5_4), .g_right(generate_3_0), 
        .p_left(propogate_5_4), .p_right(propogate_3_0), .g_lr(generate_5_0), 
        .p_lr(propogate_5_0) );
    gen_prop_lr_5 G_3_2 ( .g_left(generate_3), .g_right(generate_2), .p_left(
        propogate_3), .p_right(propogate_2), .g_lr(generate_3_2), .p_lr(
        propogate_3_2) );
    gen_prop_lr_4 G_7_4 ( .g_left(generate_7_6), .g_right(generate_5_4), 
        .p_left(propogate_7_6), .p_right(propogate_5_4), .g_lr(generate_7_4), 
        .p_lr(propogate_7_4) );
    gen_prop_lr_3 G_10_8 ( .g_left(in_a[10]), .g_right(generate_9_8), .p_left(
        propogate_10), .p_right(propogate_9_8), .g_lr(generate_10_8), .p_lr(
        propogate_10_8) );
    gen_prop_lr_2 G_1_0 ( .g_left(generate_1), .g_right(generate_0), .p_left(
        propogate_1), .p_right(propogate_0), .g_lr(generate_1_0), .p_lr(
        propogate_1_0) );
    gen_prop_lr_1 G_0_0 ( .g_left(generate_0), .g_right(n31), .p_left(
        propogate_0), .p_right(n30), .g_lr(generate_0_0), .p_lr(propogate_0_0)
         );
    gen_prop_lr_0 G_9_8 ( .g_left(in_a[9]), .g_right(in_a[8]), .p_left(
        propogate_9), .p_right(propogate_8), .g_lr(generate_9_8), .p_lr(
        propogate_9_8) );
    TIEHI X46X ( .Z(n31) );
    TIELO X47X ( .Z(n30) );
    INVD1 X48X ( .Z(propogate_10), .A(in_a[10]) );
    INVD1 X49X ( .Z(propogate_9), .A(in_a[9]) );
    INVD1 X50X ( .Z(propogate_8), .A(in_a[8]) );
    INVD1 X51X ( .Z(propogate_7), .A(in_a[7]) );
    INVD1 X52X ( .Z(propogate_6), .A(in_a[6]) );
    NOR2M1D1 X53X ( .Z(generate_1), .A1(in_a[1]), .A2(in_b[1]) );
    NOR2M1D1 X54X ( .Z(generate_4), .A1(in_a[4]), .A2(in_b[4]) );
    NOR2M1D1 X55X ( .Z(generate_5), .A1(in_a[5]), .A2(in_b[5]) );
    NOR2M1D1 X56X ( .Z(generate_3), .A1(in_a[3]), .A2(in_b[3]) );
    NOR2M1D1 X57X ( .Z(generate_2), .A1(in_a[2]), .A2(in_b[2]) );
    AOI21D1 X58X ( .Z(propogate_0), .A1(in_b[0]), .A2(n32), .B(generate_0) );
    NOR2D1 X59X ( .Z(n33), .A1(generate_8_0), .A2(propogate_8_0) );
    NOR2D1 X60X ( .Z(n34), .A1(generate_7_0), .A2(propogate_7_0) );
    NOR2D1 X61X ( .Z(n35), .A1(generate_6_0), .A2(propogate_6_0) );
    NOR2D1 X62X ( .Z(n36), .A1(generate_5_0), .A2(propogate_5_0) );
    NOR2D1 X63X ( .Z(n37), .A1(generate_4_0), .A2(propogate_4_0) );
    NOR2D1 X64X ( .Z(n38), .A1(generate_3_0), .A2(propogate_3_0) );
    NOR2D1 X65X ( .Z(n39), .A1(generate_2_0), .A2(propogate_2_0) );
    NOR2D1 X66X ( .Z(n40), .A1(generate_1_0), .A2(propogate_1_0) );
    NOR2D1 X67X ( .Z(n41), .A1(generate_0_0), .A2(propogate_0_0) );
    NOR2D1 X68X ( .Z(n42), .A1(generate_9_0), .A2(propogate_9_0) );
    EXNOR2D1 X69X ( .Z(propogate_5), .A1(in_b[5]), .A2(in_a[5]) );
    EXNOR2D1 X70X ( .Z(propogate_4), .A1(in_b[4]), .A2(in_a[4]) );
    EXNOR2D1 X71X ( .Z(propogate_3), .A1(in_b[3]), .A2(in_a[3]) );
    EXNOR2D1 X72X ( .Z(propogate_2), .A1(in_b[2]), .A2(in_a[2]) );
    EXNOR2D1 X73X ( .Z(propogate_1), .A1(in_b[1]), .A2(in_a[1]) );
    INVD1 X74X ( .Z(n32), .A(in_a[0]) );
    AOI22M10D1 X75X ( .Z(delta[9]), .A1(n33), .A2(propogate_9), .B1(in_a[9]), 
        .B2(n33) );
    AOI22M10D1 X76X ( .Z(delta[8]), .A1(n34), .A2(propogate_8), .B1(in_a[8]), 
        .B2(n34) );
    AOI22M10D1 X77X ( .Z(delta[7]), .A1(n35), .A2(propogate_7), .B1(in_a[7]), 
        .B2(n35) );
    AOI22M10D1 X78X ( .Z(delta[6]), .A1(n36), .A2(propogate_6), .B1(in_a[6]), 
        .B2(n36) );
    EXNOR2D1 X79X ( .Z(delta[5]), .A1(n37), .A2(propogate_5) );
    EXNOR2D1 X80X ( .Z(delta[4]), .A1(n38), .A2(propogate_4) );
    EXNOR2D1 X81X ( .Z(delta[3]), .A1(n39), .A2(propogate_3) );
    EXNOR2D1 X82X ( .Z(delta[2]), .A1(n40), .A2(propogate_2) );
    EXNOR2D1 X83X ( .Z(delta[1]), .A1(n41), .A2(propogate_1) );
    AOI22M10D1 X84X ( .Z(delta[10]), .A1(n42), .A2(propogate_10), .B1(in_a[10]
        ), .B2(n42) );
    NOR2D1 X85X ( .Z(generate_0), .A1(n32), .A2(in_b[0]) );
    INVD1 X86X ( .Z(delta[0]), .A(propogate_0) );
endmodule


module gen_prop_lr_16 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_15 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_14 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_13 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_12 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_11 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_10 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_9 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_8 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_7 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_6 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_5 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_4 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_3 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_2 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_1 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule


module gen_prop_lr_0 ( g_left, g_right, p_left, p_right, g_lr, p_lr );
input  g_left, g_right, p_left, p_right;
output g_lr, p_lr;
    AND2D1 X9X ( .Z(p_lr), .A1(p_left), .A2(p_right) );
    AO21D1 X10X ( .Z(g_lr), .A1(g_right), .A2(p_left), .B(g_left) );
endmodule

